#version unofficial MegaPov 0.7;

global_settings{ 
 ini_option "+QR"
 max_trace_level 30
 ambient_light 0.01
 radiosity{
    pretrace_start 0.08
    pretrace_end   0.06  // .01 for High Quality
    count 30  // 300 for High Quality         
    nearest_count 10      
    error_bound .3      
    recursion_limit 2        
    low_error_factor 0.1  
    gray_threshold 0.0   
    minimum_reuse 0.001  
    brightness 3.5        
    adc_bailout 0.01/.0001
    normal on  
  } 
}

#declare nightlight_obj = 1;   // -1 for simple, 0 for none, 1 for complex
#declare window_obj     = 1;   // 0 for none, 1 for window frame
#declare closet_obj     = 1;   // 0 for none, 1 for closet frame
#declare bed_obj        = 1;   // -1 for simple, 0 for none, 1 for complex
#declare mattress_obj   = 1;   // 0 for none, 1 for mattress
#declare arm_obj        =-1;   // -1 for simple, 0 for none, 1 for complex
#declare nightstand_obj = 1;   // 0 for none, 1 for night stand
#declare poster_obj     = 0;   // 0 for none, 1 for posters
#declare tele_obj       = 0;   // 0 for none, 1 for telescope
#declare comforter_obj  = 1;   // -1 for simple, 0 for none, 1 for complex
#declare ubedlights_obj = 1;   // 0 for none, 1 for under the bed lights
#declare car_obj        = 0;   // 0 for none, 1 for rc car
#declare soccer_obj     = 0;   // 0 for none, 1 for soccer ball
#declare bipe_obj       = 0;   // 0 for none, 1 for blackbird
#declare aclock_obj     = 0;   // 0 for none, 1 for alarm clock
#declare castle_obj     = 1;   // 0 for none, 1 for lego castle
#declare bin_obj        = 0;   // 0 for none, 1 for lego bin
#declare rlamp_obj      = 0;   // 0 for none, 1 for reading lamp
#declare basket_obj     = 0;   // 0 for none, 1 for lego bin
#declare tlamp_obj      = 0;   // 0 for none, 1 for table lamp
#declare blinds_obj     = 1;   // 0 for none, 1 for blinds
#declare rctrig_obj     = 0;   // 0 for none, 1 for RC Controller
#declare rubik_obj      = 0;   // 0 for none, 1 for Rubik's Cube
#declare teddy_obj      = 0;   // 0 for none, 1 for Teddy Bear
#declare khand_obj      = 0;   // 0 for none, 1 for Kiddy Hand



#include "tex.inc"
#include "objects.inc"

////////// BASICS ///////////

camera{
  //location <5.5*12,60,-5.5*12> look_at <0,40,0> angle 90 //Far Corner
  //location <-1.3*12,30,0> look_at <60,0,90> angle 30
  //location <-19*12,10*12,1.1*12> look_at <0,40,0> // outside
  location <-3.5*12,42,-3.2*12> look_at <-1.9*12,33,20> //Final View
}

light_source{ 
  <-20*12,13*12,6*12>
  color rgb <.4,.4,.9>
}
  
//light_source{ <0,50,50> color rgb .4} //Center of room light
//light_source{ <0,50,-50> color rgb .4} //Center of room light

background{ color rgb <.1,.1,.15> }

